# Summer of Code Check-in Meeting June 1 2020

* Working on defining the API and initial UI flow
   * Shared a flow diagram: https://miro.com/app/board/o9J_kr7j_28=/
* Discussed API authentication
   * Authentication is tricky and many users will have different ways they prefer to do this,
     some will have existing systems for authenticating.
   * Service accounts may be a nonstarter since studios will want to know which user initiated
     which change
   * Recommended to use gcloud and "application default credentials" on your local machine to
     allow coding to start. As coding proceeds we can discuss how production-level authentication
     will happen.
* Use API direct to cloud, or route through Cuebot?
   * Each approach will have pros and cons. Let's start going direct-to-cloud, but keep it in
     mind as we progress.
* Github project board
   * Created at https://github.com/AcademySoftwareFoundation/OpenCue/projects/15 
   * Shiva should feel free to create new issues and add them to the project board (let Brian
     know if there are permissions issues with that)
* Next steps
   * Start a doc to define the API. List how our API concepts will map to GCP/other cloud API calls.
   * Will start on some CueGUI unit testing to gain familiarity there.
* Other resources
   * Conductor's whitepaper for integrating with Tractor:
     https://www.conductortech.com/blog/Hybrid-Workflow-Integrating-Conductor-into-Pixars-Tractor 
   * Deadline Integration Document: https://docs.conductortech.com/#client_tools/deadline
   * Deploying OpenCue on GCP:
     https://cloud.google.com/solutions/creating-a-render-farm-on-gcp-using-opencue 
   * Application Default Credentials:
     https://cloud.google.com/docs/authentication/production#auth-cloud-implicit-python 
   * Tips on keeping your fork/branches in sync:
     https://github.com/AcademySoftwareFoundation/OpenCue/pull/669#issuecomment-635036047
