# Summer of Code Check-in Meeting June 8 2020

Attendees: Brian Cipriano, Greg Denton, Shiva Kannan

* Status update from Shiva
   * Now able to make API calls from OpenCue
      * Going direct from client-side python at the moment, plan to continue using that for now
        though we'll keep our eye on whether we should consider centralizing it through Cuebot.
   * Having trouble setting up RQD on cloud instances
      * Cuebot is running OK, can communicate with it
      * RQD failing on installation
         * Brian: how are you deploying it? Creating a MIG using instance template specifying the
           Docker image to use. Using Docker image from the GCP solution doc.
         * RQD startup command from GCP solution is out of date, need to replace with the standard
           `rqd` command as the earlier install_and_run.sh script does not exist.
         * Shiva to send a list of any problems found with the GCP solution doc, Brian to forward
           that along to the authors for updating.
   * Using Application Default Credentials with gcloud is working locally
      * Does this work with other CSPs? Greg: For Azure you could use service accounts, this would
        lose the ability to identify individual users at the API level but we could log requests
        on the Cuebot side for auditing later. Could be more flexible for users as they can export
        logs to whatever format they desire.
      * Current approach is good for now, will deal with authentication a bit more later.
   * "cloud" facility present in the default OpenCue install. Is this confusing to users?
      * Different setups for different users, some will have 1:1 mapping of groups to facilities,
        others will have single facility for all instance groups. Can leave facility as-is, no
        need to impress either way on users.
   * Started on unit tests, had a look at scaffolding, but not much progress coding yet.
      * Brian: that's ok, it would be good to write one or two tests but it's more for
        understanding how the GUI code all flows together. It's confusing.
   * Sent draft of API design a few days ago.
* Follow up on next steps from last meeting
   * Start a doc to define the API. List how our API concepts will map to GCP/other cloud API calls.
      * Draft done and in review.
   * Will start on some CueGUI unit testing to gain familiarity there.
      * In progress.
* Please review notes PR: https://github.com/AcademySoftwareFoundation/OpenCue/pull/706 
   * Greg reviewed, PR is now merged.
* Review Shiva's API design doc:
   * https://docs.google.com/document/d/1cCPrZsM8fRbcluTppcuPFQ6_tfQo5rZE9W2m6Hms8pw/ 
   * Discussed comments on that doc, see doc for more details.
* Greg: think about how instance deletion will work when an instance group scales down.
   * Could be a "black box" that simply deletes nodes randomly, though this could lose work.
   * Smarter instance selection would be less likely to lose work. Prefer idle instances or
     instances with less time spent on their current task, to minimize work loss.
   * GCP API allows for either. Can delete individual instances or can just scale down whole
     group. Typical use case is to just scale down the whole group but the typical use case cares
     less about work lost, as in case of serving web traffic.
   * "Black box" ok for now, but let's keep it in mind going forward.
* Goals for next week
   * Iterate on design doc
      * Shiva to update based on comments and send a new draft in a day or two.
   * Continue on CueGUI unit tests.
   * Starting to write new code.
      * Brian: Consider splitting the code into pieces, for example keeping cloud-specific
        code separate from GUI code. No need to try to write all pieces at once.
      * Thinking about how to test the code.
