# Summer of Code Check-in Meeting June 15 2020

Attendees: Brian Cipriano, Greg Denton, Shiva Kannan

* Greg to take a look at Shiva's design doc and advise on Azure compatibility.
* Status update
   * GCP environment fully up and working now, database migrations issue was resolved.
   * Proceeding with writing code.
   * Has a base plugin working in CueGUI, some hacks and only very basic functionality but making
     good progress.
   * Ran into an issue, CueGUI code generally expects objects' data to come from a gRPC source, as
     most data does, but we're working with a non-gRPC source (GCP API). Need to figure out the
     best way to work around that.
      * Could go down the road of adding GCP API calls to Cuebot and implementing gRPC endpoints,
        but this will add a lot of coding work and complexity and should be avoided if possible.
      * Will it help to create protobuf objects to represent each cloud group?
      * Shiva to post his in-progress code and Brian will give thoughts on how to proceed.
   * File structure, code going into opencue library. Let's have the base class and each provider
     class be in separate files.
      * Future idea: there could be an automatic scan of some directory e.g. opencue/providers,
        so users can implement their own cloud providers and "register" them in OpenCue without
        having to modify the base code. Not needed right now but let's keep in mind how
        user-generated providers will be registered to OpenCue.
   * Implementing abstract methods in the base class — some CueGUI code uses
     "raise NotImplementedError" to approximate abstract classes/methods. Use that or use more
     standard @abc.abstractmethod?
      * Let's use abc, it's more standard and since this isn't CueGUI code we don't have to
        match the CueGUI style closely.
   * Discussion on running tests locally vs CI pipeline
      * Can use embedded test runners in PyCharm, this works well. Can also use "setup.py test"
        to run locally, or do a local Docker build.
      * Creating a draft PR in Github will trigger the full CI pipeline, if you want to do that,
        though it's too slow for fast iteration during development. Still helpful as an additional
        check every now and then.
   * Test classes, best way to identify methods to test? Brian: I like to drive this by looking
     at GUI functionality, start using the plugin a bit and see which GUI functionality is most
     important, then writing a test for that case.
* Follow up on next steps from last meeting
   * Iterate on design doc
      * Done, and doc is ready to be circulated to other cloud provider folks (Greg will do this
        from Azure point of view, Brian to reach out to AWS folks)
   * Continue on CueGUI unit tests.
      * Still making progress, doing it alongside some new code.
   * Starting to write new code.
      * Done, covered above.
* Shiva: Thoughts on showing cloud groups from all clouds in single plugin window?
   * Brian: Great idea, will allow easy maintenance of a multi-cloud fleet, would be a very
     nice feature.
* Next steps
   * Continue coding, resolve some of the problems above e.g. using a non-grpc data source.
