# Summer of Code Check-in Meeting July 20 2020

Attendees: Brian Cipriano, Shiva Kannan

* Update from Shiva:
   * Updated design doc with AWS versions of API calls. Everything is looking good, the concepts
     we've chosen map closely to concepts in all of GCP/Azure/AWS.
   * Starting work on tests, refining approach to mocking/testing.
      * Will send some snippets in the next few days to check on approach.
   * Working on refining cloud group status.
      * GCP status field updates on create/resize/delete. You can check each operation to see what
        it's actually doing. Let's try to avoid maintaining a local state of all operations, it can
        fall out of sync with what's actually going on in the cloud and doesn't work in a multi-user
        environment.
      * Group GET response has status fields in payload which contain a count of ongoing operations.
        Not immediately clear if it's showing things at the group level, tallying operations for
        all instances, or both. Need to do more research to see what values get stored in that
        field.
      * Can we query a list of all operations for the group and its instances? This would resolve
        the multi-user problem and allow status-calculating code to be self-contained, i.e. not
        relying on any local state. This would effectively use the cloud as the source of truth
        rather than relying on anything in the local state, at the cost of a greater number of API
        calls, but this is probably low and acceptable.
   * Target size and current size are both accessible via API, showing these in the UI shouldn't be
     a problem.
* Items from last time:
   * Cloud groups status field, found better solution than taking boolean from API?
      * Covered above.
   * Target size vs current size in the UI
      * Covered above.
   * Showing group name in Monitor Hosts widget?
      * Matching by name should be possible, but the way the widgets are set up now pulling data
        from different sources or sharing data is not trivial. Could maybe call into the API layer
        from each widget. In the future could add caching to the API layer to avoid duplicate API
        calls when multiple widgets are requesting similar info.
   * Downsizing groups logic, any update?
      * Nothing yet. Not high priority.
   * Tests, Shiva asked for feedback on approach.
      * Covered above.
* Action items:
   * Brian to review Shiva's PR this week.
   * Shiva to send GCP Billing ID, Brian will stock up with credits.
