# Summer of Code Check-in Meeting July 27 2020

Attendees: Brian Cipriano, Greg Denton, Shiva Kannan

* Shiva: Demo of target/current size
   * When group is not doing anything current size is shown. When resizing, display moves to
     "currentCount -> targetCount" format. This matches the MIG interface on the GCP console, will
     be familiar to users.
   * Status field also updates. Indicates scaling up/down from group status.
   * This works during group creation/deletion as well. For creation group is created with size
     zero than scaled up, for deletion scaled down to zero before deleting. Without relying on
     local state it's difficult to determine if a group is being created/deleted as you can only
     see it's resizing.
   * Still looking at any ways of finding group-related operations. Group's GET payload just shows
     sum of  instance operations, not group status.
* Reviewed PR comments
   * Tests/mocking. Avoid calling discovery.build, just mock whole service object.
   * Moving global vars to connect/start method.
   * More details in the PR https://github.com/AcademySoftwareFoundation/OpenCue/pull/725
* Discussion of tracking operation status. Still want to avoid relying on local state, will not
  work in multi-user environment. Greg: instead we could use Cuebot to centralize list of
  operations. This would involve creating a new database table, adding API methods to Cuebot, and
  more — good amount of work. Brian: could start with storing operations in local state in order to
  iron out bugs and decide exactly what data is needed to store, then move to Cuebot later if time
  enough.
