# Summer of Code Check-in Meeting August 10 2020

Attendees: Brian Cipriano, Greg Denton, Shiva Kannan

* Shiva: work update.
   * Finished up tests for existing code, the GCP API layer. Pushed some new commits, Brian to
     review.
   * Started exception handling, discussion of approach. Using a decorator-based setup, discussion
     of merits of this vs try/catch. Key takeaway, make sure not to be executing other logic in
     wrapped methods which could interfere with the decorating methods.
   * Worked on operation cache for tracking resize status. It's working ok but resize operations
     finish very quickly as they aren't concerned with individual instance status. Can we track
     instance status elsewhere? We could have more detailed resize cleanup code to separately fetch
     the instance list and check status. Furthermore we could then reconcile that list against the
     list of known RQD hosts, for example to handle the worst case scenario of a running instance
     that failed to start RQD, leaving it dangling, unknown by the Cuebot and unable to be cleaned
     up through standard mechanisms.
   * Operation cache runs as part of the update loop within the cloud plugin, so we end up with lots
     of logic running as part of that single update operation. Discussion of splitting out threads
     and executing logic separately from the main plugin loop, perhaps even sharing state between
     different plugins. The FrameMonitorTree widget and CueGUI ThreadPool class should be good
     examples to work from there.
* Follow up on next steps from last meeting
   * Finish up tests for existing code
      * See above.
   * Exception handling
      * See above.
   * Operation caching, local for now
      * See above.
   * Looking at Azure next, working with scale sets.
      * Not much progress yet. Greg: look at CycleCloud, a superset of scale sets. Could be useful
        but maybe the added logic will overlap with what we're trying to do too much.
