# Meeting Notes 8 Jan 2020

Secretary: Brian Cipriano

TSC Attendees:
* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Sean Looper
* [ ] Alex Schworer
* [ ] Erik Strauss

Committer Attendees:
* [x] Christian Smith
* [x] Lars van der Bijl

Agenda/Notes:
* New committers and 2-approval rule
   * Fully in place now.
   * Force-merge without two approvals is still possible by committers. Please use it sparingly.
* Current work updates
   * Brian
      * Working on Python 3 migration.
         * Code changes fully done now and tested, merged.
         * Finalizing switching our testing pipeline fully over to always run in both Python 2 and
           3 environments.
         * Maintaining Python 2 support for the foreseeable future. It may take a while for users
           to switch over. Let's reevaluate the pace of the Python 3 transition in a few months.
   * Greg
      * Working on the plugin / messaging system.
      * Minor bug fixes.
      * Spring boot update is fully released now.
   * Christian
      * Merged in Brian's Python 3 changes, seems to be working well.
      * Working on RQD windows support.
      * No major blockers yet.
      * RQD attempts to assume UIDs/GIDs. This isn't supported on Windows, we need to figure out
        another way to handle that.
      * Users/permissions system is related to this.
        * This is a big security overhaul and is complex but important to some users. We should
          consider it high priority on the roadmap.
        * When implementing this will need to consider users' existing user systems e.g.
          ActiveDirectory, LDAP. Also a lot of work.
        * Let's not block Windows support on this. Windows support is much higher priority.
        * It's fine to have a configurable user that RQD will assume for all jobs. Probably
          separate config for Linux and Windows users. This can include not only the RQD process's
          user but the user under which job commands are actually executed. The latter currently
          defaults to the same username that submitted the job. We will need to assume that that
          default user has access to all necessary files.
      * Client tools on Windows: still working on it. Getting close but working on it in parallel
        with RQD so as to fully test the job workflow. So the UID issue in RQD is blocking this
        for now. Should be resolved soon.
   * Lars
      * Working on removing SPI-specific code. Filed a few issues
         * Issues include how Arnold jobs use their cores, calculate_core_hours, cudainfo, etc.
      * Finding Nimby problems when using Teradici.
         * Ben: SPI uses Teradici without an issue. Will follow up to see what SPI did here to get
           it working, if anything.
      * Checkpointing
         * RQD can update frames to a "checkpointing" state in the database.
         * Discussion of various checkpointing models and what we might need to do to support those.
         * Whatever the solution, we want to leave the door open to alternate models of
           checkpointing. May even include machine level checkpointing but this hasn't been seen
           much.
      * PR in review to change mcp -> scratch
         * Discussion of scratch vs tmp. Scratch is semi-persistent storage that needs to be
           manually cleaned up by some external tool. Tmp is generic temp storage that is managed
           by the OS.
         * mcp is meant to be tmp storage rather than scratch.
         * We can move forward as is. Whether scratch is local or not to a host is irrelevant to
           OpenCue. The scheduler doesn't use it during placement.
