# Meeting Notes 22 Jan 2020

Secretary: Brian Cipriano

TSC Attendees:
* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [x] Dave Fellows
* [ ] Sean Looper
* [ ] Alex Schworer
* [ ] Erik Strauss

Committer Attendees:
* [x] Christian Smith
* [x] Lars van der Bijl

Agenda/Notes:
* ASWF plenary meeting
   * Next Thursday, Jan 30 in LA.
   * Brian to prepare slides.
      * 5-7 min
      * Project overview
      * Last year of progress: milestones, contribution stats
         * License limits
         * Python 3
         * Windows alpha, more discussion on this below.
         * OSS release
         * Docker/packaging
         * Improved blender support
      * Next year plans, roadmap
         * Roadmap public at https://github.com/AcademySoftwareFoundation/OpenCue/projects/13
         * Directory mapping
         * User management and permissions
         * Unit testing for SonarCloud compliance, integration testing
         * Packaging
         * Documentation
            * Developer/sysadmin heavy at the moment.
            * Christian: We should split between dev guides and user guides.
            * Day 1 guide for admins.
            * Document config, RQD config, admin settings, project management.
         * Plugin messaging system
      * Brian to share slides within next day or two, others please review.
* Windows alpha
  * PRs out and approved, needs to be merged.
  * Still todo:
    * No support for switching users, there's hack in place for the UID code used on Linux.
    * Needs editor support in CueGUi.
    * Need to work on packaging, run Cuebot/RQD as a service.
    * Documentation mostly Linux-specific.
    * Logging needs work. RQD defaults to syslog. This works ok on the console for now.
    * Jobs are single platform only, Linux or Windows but no built-in support for
      mixed-platform jobs. Could use environment vars to get it working now, they need
      to be set on RQD side. Too manual, will need to work on directory mapping to
      properly support this.
  * Let's start to get alpha feedback.
  * Let's announce to the list and mention during the ASWF meeting.
* Current work updates
  * Lars
      * https://github.com/AcademySoftwareFoundation/OpenCue/pull/531 (preserving lock state
        on RQD startup)
         * What is the source of truth? RQD or Cuebot.
         * Agreed that Cuebot should be the source of truth in all cases.
         * If RQD loses connection, state can drift. This should be fine for now though we may
           need to make improvements to the recovery process in the future.
         * Existing users may need to adjust their expectations -- if hosts come back up and their
           locked state is preserved, hosts may need to be manually unlocked. General agreement
           that this isn't too much to ask and the new behavior will be an improvement.
         * PR ready to merge, will communicate back to existing production users.
  * Greg
    * Plugin messaging service next steps?
      * No progress, Greg to check it out.
  * Brian
    * Mostly code review and discussions recently.
  * Christian
    * Windows work, discussed above.
    * Progress on packaging, merged PR with the Cuebot RPM setup.
    * Python packaging, starting to discuss.
  * Ben
    * Checking on SPI stuff.
       * Arnold core utilization, probably good to move ahead with change as-is.
       * Nimby, trying to get more info on how they using remote desktop. Not urgent for Lars.
