# OpenCue TSC Meeting Notes 16 Sep 2020

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [ ] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Lars van der Bijl

Agenda/Notes:

* User community survey
   * Review and finalize questions:
     https://docs.google.com/document/d/1j5V6Zj8T5x6SC0F34SnChy6vc1MVza5kej9fYGsgxsc/edit 
   * See doc for revisions we landed on. A few comments in there for Brian to resolve.
   * Identify users who would be willing to participate in use case blog posts, etc.
   * Lars: let's look into that for our use case. All agreed.
   * Once doc revisions are addressed Brian will bring it back to ASWF for next steps.
* Current work updates
   * Brian
      * Progress on pyinstaller setup. Working CueGUI.app on macOS. Basic Windows setup is working
        but needs more testing. Onto Linux after that.
      * Code in branch https://github.com/bcipriano/OpenCue/tree/cuegui-pyinstaller 
      * App signing will need to be addressed.
      * Check on any licensing issues as this falls under the category of distribution.
   * CII badge
      * Need a plan forward.
      * Brian to scan through badge requirements and compile a list of work.
   * Diego
      * UI fixes incoming. Testing more in production first.
      * Problems with dispatching based on priority. Lower priority jobs getting starved. Working
        on some dispatcher changes to mitigate, considering prioritizing based on length of time on
        the queue. This might be challenging to communicate to users. We could add some config to do
        this, subscription settings maybe.
   * Lars
      * Populated sheet with local changes, filled in a list of ETC's local changes.
         * Let's fill in with decisions on whether/how to merge each one.
         * Will review more complex changes next TSC meeting.
      * Considering public fork to share code and make review/merge easier.
      * Using rez, worth considering as we work on packaging and distribution.
      * PRs:
         * LLU timeout, safe, should have a look
         * GPU, not as fully featured. Touches all parts of the system. Linux specific and GPU arch
           specific. Will need a more detailed look. Needs more testing code written.
      * Progress information per frame, using regex in log file.
         * This along with LLU will increase load on the database, need to consider for larger use
           cases whether this is problematic. SPI open to help load test.
      * Image viewing plugin in CueGUI. Have basics working with JPGs but EXRs less trivial. May
        want to touch base with OpenEXR project. Do they have something available in Python?
   * JT
      * Hackathon upcoming, will be in touch more about this and report back.
