# OpenCue TSC Meeting Notes 30 Sep 2020

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Lars van der Bijl

Agenda/Notes:

* Update on user survey
   * Update from ASWF: we shouldn't collect/store user emails (PII). Tried to find a workaround but
     policy pretty strict on this point. Instead we should liberally use a mailto: link in the
     survey and while promoting it to encourage respondents to reach out to us directly.
   * Add a link to join the slack group.
   * Next steps: prep draft of survey, circulate to TSC/ASWF.
* CII badge updates
   * Brian: Working on it. Still compiling list of todos. Expect a more substantial update next
     meeting.
* Current work updates
   * Brian
      * Python packaging with pyinstaller
         * Basic builds working on macOS and Windows, but initial testing has yielded some items
           that should be addressed.
         * GUI for entering Cuebot address
            * When running via CLI, environment variables are harder to set. Still possible, so not
              a blocker necessarily, but it raises the barrier.
            * Should add a menu item and dialog for setting this.
            * Brian: show GUI on first startup? By using placeholder in the config file?
            * Should always leave the menu item accessible to allow changing that value.
            * Multiple Cuebots between different facilities makes the dialog more complex.
            * Could this be an installer step? Brian: wasn't planning on creating an installer so
              far, since the GUI is self-contained it doesn't need one.
            * Instead of on first startup, or using placeholder value, only show the dialog when
              we're copying default config files into user directories.
            * This may require some config cleanup on the pycue or cuegui sides.
         * Viewing CueGUI logs is harder now as stdout is obscured. Suggestion:
            * Also log to file.
            * Add plugin for viewing log file.
            * General agreement on this.
            * One example, DCCs have python shells that also show log input.
            * People really don't like the secondary console window, has various issues for example
              what if you close that window but not the main one. Counter-intuitive.
            * Keep logging to stdout as well, it's useful.
         * Licensing/legal issues around packaging and distributing dependencies: Brian has meeting
           with ASWF to discuss this next week.
   * Lars
      * Brian has reviewed ETC changes spreadsheet. Generally in Brian's opinion we should aim to
        merge most changes.
      * Let's turn it into a public sheet.
      * Can start merging, need to load test a few items. SPI has offered to help with that.
      * Aggregate logging, job logs, RQD logs for local viewing. Job logs more useful for analytics.
      * Could use redis for logs as well, redis 6 supports streams for log storage.
      * OSS logging software: elk, greylog, fluentd
      * Centralized logs or distributed, i.e. leave on RQD nodes?
   * Diego
      * PR for dispatch query change. Problem is that jobs w/ lower priority get starved. SPI tested
        changes for a week, all good, big improvement.
      * Under change, standard priority range goes 0-200. We take into account days on the queue and
        add that to priority.
      * \>200 priority will use the old algorithm, days won't be taken into account.
      * PR is in review, feedback welcome.
   * JT
      * Conference upcoming. Showcasing some of the ASWF projects. Happens Oct 24. Brian: let us
        know if we can promote this. If any recordings or other materials come out of it we can
        upload to opencue.io.
      * Blender plugin progress update: getting close with OTIO plugin. This will become the
        template for the OpenCue plugin as well.
