# OpenCue TSC Meeting Notes 14 Oct 2020

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [ ] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Lars van der Bijl

Agenda/Notes:

* Update on user survey
   * Brian: about to starting building out Google Form when ASWF TAC started discussing a broader
     survey effort, mostly to determine VFX Reference Platform and Python version adoption.
   * Now discussing coordinated push with rest of ASWF. Not definite yet, but made it clear we want
     to get the OpenCue survey started as soon as possible.
   * Also discussing possibility the Linux Foundation will manage the survey. The benefit to this is
     we'll be able to collect PII i.e. email addresses for followup. We (the TSC) won't be able to
     see those addresses, we'll need to ask ASWF/LF to send any followup comms, but may still be
     better than asking users to reach out directly via email.
* ASWF graduation / CII badge updates
   * Brian: resolved a few more badge items, now at 92%. Created a GitHub project board with the
     remaining tasks: https://github.com/AcademySoftwareFoundation/OpenCue/projects/16 
   * `-Werror` for Cuebot
      * Need PR reviews, please review list on Github.
   * Linting Python
      * Lots of CamelCase warnings with default pylint setup. Not planning to update naming
        conventions now as this will be a large task needing care, e.g. will break any API
        integrations people have. Coding style not really in the spirit of what the CII badge is
        looking for anyway.
* New Docker limits
   * Pull request limit: anonymous users: 100 pulls per 6 hours, authenticated users: 200 pulls per
     6 hours.
      * Limits should be ok for now
      * CI system only pulls images on commits to master, and also runs as an authenticated user
   * Stale image removal: images not pulled or pushed in 6 months are deleted
      * Should also be ok
      * We can rebuild and push older images if really needed
      * Images can also be built manually from the code by checking out the commit at that tag
* Python packaging
   * Basic CueGUI build working on Debian
   * Still need to address Cuebot config and log viewer issues
   * Licensing/liability/legal: lots of potential issues here.
      * Under current pyinstaller system, we should not distribute binaries without discussing with
        legal.
      * To start: publish pyinstaller scripts with instructions for building binaries. Should be
        able to get started testing this way.
      * Next step: potentially build installers to automate this process, or get clearance from ASWF
        to distribute binaries.
      * Brian discussing with other ASWF projects how best to proceed.
* Lars: updates from ETC?
   * Fork repo is up, private for now, some have received invites.
   * Icons/UI tweaks good potential first issue to tackle.
      * Let's share screenshot of new icons for review.
      * SPI requests we make icon set configurable so they can transition to new ones slowly.
   * Plugin naming/recategorization changes also good first issue. Means moving away from
     Cuetopia/CueCommander naming to more standard General/Wrangler/Statistics categories.
      * SPI has no objections to this.
   * Brian to share Diego's email so Lars can add to spreadsheet, not ready for public sharing yet.
* Diego
   * New shows using OpenCue, artists have reported lots of new GUI bugs. Working through them. Some
     are fixes that were applied to Cue3 after OpenCue's public launch but before SPI transitioned
     to OpenCue.
   * Tree view of dependent jobs, in job view widget.
      * Idris: ETC also has a node graph view which should also be useful.
   * Tuning dispatcher query changes to address edge cases. Needs more testing before proceeding
     with that PR.
