# OpenCue TSC Meeting Notes 9 Dec 2020

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Lars van der Bijl

Agenda/Notes:

* User survey
    * Still coming soon, ASWF wrapping things up. Will delay our project graduation proposal as we
      want to include these results as part of the proposal.
* CII badge updates
    * Cuebot -Werror done.
    * Working on Python linting:
        * PR out for pyoutline linting. Will move on to other components next.
    * Working on resolving SonarCloud issues:
        * A few PRs out for some initial issues.
* Python packaging
    * On hold while Brian works on completing the CII badge.
* Check on SPI gRPC issues
    * https://github.com/AcademySoftwareFoundation/OpenCue/issues/821
    * Hasn't been an issue for SPI, seems to be resolved.
    * We should upgrade gRPC as high as we can while maintaining Python 2 support. We need to do
      this anyway for Python 3.8 support.
* SPI database performance issues affecting DispatchQuery
    * Seeing db load problems with more users.
    * When many active jobs are waiting, DispatchQuery takes a long time.
        * Found problems with the query when looking for gpu in range zero-zero.
    * HostReport also takes longer when db under load.
        * Changed how host reports are handled. Was a simple thread pool, now will just process the
          last report from each host.
    * PRs with these fixes coming soon.
* Batch of new GUI bugs from SPI
    * Some are actually just GUI bugs, others are due to API methods needing to be implemented,
      mostly in Python API but some on Cuebot side as well.
* Check on dropping Oracle support
    * SPI has no plans to move back to Oracle, good to drop it.
    * Let's do a final check with mailing lists before deleting.
* Daniel: Had a very difficult time setting up an OpenCue deployment, found docs severely lacking
  among other issues.
    * Docs issues
        * Ran into issues with port reservations. Needed guide on config options to avoid digging
          through source code.
        * Guide overall was just too complex and difficult to follow.
    * We need to rename demo_data.sql, it's not clear that this is needed for a functioning system.
    * Docker compose sandbox can't be recreated, needs some work.
    * Agreed we should prioritize a docs refresh in the new year. Packaging is part of this but not
      all.
    * Brian to start a brainstorming email.
* Lars: we need someone to test stylesheet changes on windows
* Dec 23 meeting canceled, will resume meetings in January.
