# OpenCue TSC Meeting Notes 20 Jan 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [ ] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Lars van der Bijl

Agenda/Notes:

* Goals for 2021
    * User survey
        * Completes Feb 1, should have response data soon after that.
        * Let's use that data to revisit these priorities once we have it.
    * Docs refresh
        * Is the focus here really on docs or is it really on new user UX? Docs are needed, but new
          user UX is the most important thing. Let's focus on that first (see next section).
        * Need API reference docs
            * Brian needs to check on this.
        * Will also want IDE autocompletion — need to work on cleaning up Python headers.
            * This may mostly work already. Help with environment setup may help with this, can we
              publish IDE example settings?
            * More broadly, make it easier to set up a development environment.
        * Need examples on how to use the API, pyoutline examples.
    * New user UX
        * demo_data.sql is actually required, this trips people up. Needs some work.
            * Split into "bare minimum data" vs "actual demo data".
            * Highlight this in Quickstart docs.
        * Keep docker compose?
            * Could use Kubernetes / Helm maybe.
            * Let's use survey feedback to help inform this.
        * Cloud provider docs for easy deployment.
            * Can be useful as it provides a pathway to a production deployment.
            * Should consider whether users really want to run Cuebot on the cloud or not. Many
              users running Cuebot locally with burst to cloud. Could maybe provide an option.
            * Can Kubernetes help with this?
                * Any issue running Cuebot in a Kubernetes cluster? For Cuebot itself, no — can run
                  multiple instances coordinating via the database. One problem, RQD needs to be
                  responsive to its list of Cuebot hosts changing, this is currently static until
                  RQD restarts.
            * Hosted SQL, hit some recent issues. Brian/Lars to check on Github issue for this.
              Might want to consider whether we avoid hosted SQL.
            * Terraform a likely candidate to help with this. We could potentially build it in a
              base that is mostly cloud-agnostic.
            * Brian to talk to folks at Google, let's try to start discussion cross-cloud to create
              a base we can build on.
    * ASWF graduation
        * Brian still working on CII badge. Getting close.
        * Also waiting on survey to wrap up.
    * Optimize how Cuebot handles booking / dispatching.
        * SPI has a PR in progress for this.
    * Removing Oracle
        * Got final confirmation we are ready to proceed.
        * Hopefully relatively simple, just tear out the code.
    * Proper GPU support
        * ETC has PR in progress. This is probably Linux-specific but should give us a base to build
          on.
    * UI for adding projects
        * This came up recently as something that you currently need to use the API for.
    * Expand DCC plugins
        * Blender is in progress. Many others we could work on.
    * Logging solution
        * Build on the Prometheus export example.
            * Grafana is a good next step for building on this.
        * Look at Loki, which integrates with Grafana too.
    * Let's revisit our goals list after the survey finishes.
* TSC members / committers
    * Lars van der Bijl unanimously approved via email to join the OpenCue TSC.
    * Idris Miles unanimously approved to be added as an OpenCue committer.
* Other current work updates
    * Lars
        * Rebased timeout / llu timeout PR, ready to merge.
        * Added dockerignore to fix issue with sandbox restarting.
