# OpenCue TSC Meeting Notes 3 Feb 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [x] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Idris Miles

Agenda/Notes:

* Goals for 2021
    * User survey
        * Still waiting on results.
    * New user UX
        * Split demo_data.sql
            * Issue filed: https://github.com/AcademySoftwareFoundation/OpenCue/issues/891
        * Keep using Docker compose?
            * Let's look at survey responses to see if this is a useful tool still.
        * Review Daniel's writeup for new action items
        * Fix cuebot:latest tag for sandbox setup
        * podman issue
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/898
            * This appears to be related to some Dockerfile syntax we're using which podman doesn't
              support.
    * Docs refresh
        * API reference
            * Existing issue: https://github.com/AcademySoftwareFoundation/OpenCue/issues/559
            * We are able to generate HTML, we just need to publish it somewhere.
            * This tool also supports versioning in theory, we could have a dropdown where users can
              select a specific OpenCue version to view reference of. Let's start by publishing the
              latest version, then go from there.
        * pyoutline examples
            * Existing issue: https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * Needs more work.
        * These are all listed in the Roadmap now.
    * CII badge updates
        * Brian: done a lot of work to finish linting all Python code. pycue, pyoutline, cuegui all
          done, a few components left.
    * Drop Oracle support
        * Existing issue: https://github.com/AcademySoftwareFoundation/OpenCue/issues/840
        * Needs more work.
    * GPU support
        * Existing issue: https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Linux-specific PR: https://github.com/AcademySoftwareFoundation/OpenCue/pull/760
        * PR is close but was filed a while ago, so needs a merge from master and resolve conflicts.
    * GUI to add new shows
        * Filed issue: https://github.com/AcademySoftwareFoundation/OpenCue/issues/892
        * Discussion ongoing.
    * Expand DCC plugins
        * Houdini Tops scheduler node could be a good target.
    * Logging solution
        * PR out with Loki solution: https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * Needs review.
    * CSP terraform docs
        * Brian has some initial stuff from the Google side, need to take some time to see what's
          there and plan next steps. Will start email thread once that's done.
* Other current work updates
    * Lars
        * Adding priority to pyoutline.
        * PR: https://github.com/AcademySoftwareFoundation/OpenCue/pull/625
    * Idris
        * Node graph PR: including vendor icons? Otherwise, PR ready for review
