# OpenCue TSC Meeting Notes 17 Feb 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [ ] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [x] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Idris Miles

Agenda/Notes:

* Goals for 2021
    * User survey
        * Responses: https://www.surveymonkey.com/results/SM-8DS6VQ9K9/
    * New user UX
        * Split demo_data.sql
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/891
            * Progress: https://github.com/AcademySoftwareFoundation/OpenCue/pull/910
            * Maybe just a rename for now? seed_data.sql
            * Could add explanation of demo data and what each piece means
        * Keep using Docker compose?
            * Look at survey responses to see if this is a useful tool still.
            * improvements
                * move to toplevel?
        * Review Daniel's writeup for new action items
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/905
            * Document config options for RQD and Cuebot
            * Make RQD gRPC port configurable (done)
            * Rename/split demo_data.sql (in progress)
            * Document how facilities/tags/allocations work
                * This is in glossary, but deserves a dedicated doc page, perhaps a reference on how
                  an OpenCue deployment might be structured (also addresses point 6 in Daniel's
                  writeup)
                * Could add explanation of demo data and what each piece means
            * Clean hardcoded facilities from RQD source (done)
            * Clean SPI-specific environment variables from RQD source, or convert them into fully
              supported, documented ones
            * Why does RQD limit facility names to three chars?
        * Fix cuebot:latest tag for sandbox setup
            * Published new release which will fix the problem for now.
            * Need to address in more detail soon.
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
                * Pro: master branch in repo will always match :latest tag in Docker Hub
                * Pro: following deployment guide using combo of source checkout + docker images
                  will work fine
                * Con: following deployment guide using combo of release artifacts + docker images
                  means images will be ahead of release artifacts (because guide assumes :latest tag
                  for images)
                    * This should be ok most of the time, as changes tend to be
                      backwards-compatible (e.g. old schema versions still exist in the system)
                    * We could change layout of deployment guide, split into two options:
                        * Deploy from a release (uses release artifacts and docker images
                          with :<release> tag)
                        * Deploy from master (uses source code and docker images with :latest tag)
                    * This would also help simplify the docs, there are too many options for
                      deploying each component which is confusing for new users.
        * podman issue
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/898
            * This appears to be related to some Dockerfile syntax we're using which podman doesn't
              support.
        * Auto close github issues
    * Docs refresh
        * API reference
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/559
            * We are able to generate HTML, we just need to publish it somewhere
            * No other progress yet.
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
        * Configuration guide for Cuebot
        * Configuration guide for RQD
        * dedicated doc page, a reference on how an OpenCue deployment might/should be structured,
          with examples and pointers to seed data
        * UX expert we can contact?
    * CII badge updates
        * Linting done. Brian working on resolving some additional SonarCloud issues.
        * Brian to go through CII checklist and start to fill in more details.
    * Drop Oracle support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/840
        * PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/pull/895
    * GPU support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Starting PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
    * GUI to add new shows
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/892
        * Some discussion but coding has not started
    * Expand DCC plugins
        * Houdini?
        * Katana, needs followup
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved, needs to resolve some failing checks.
    * CSP Terraform docs
        * No progress yet.
