# OpenCue TSC Meeting Notes 3 Mar 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [ ] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [x] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Idris Miles

Agenda/Notes:

* Goals for 2021
    * User survey
    * ASWF Graduation
        * Brian working through CII checklist, should be completed soon.
        * Brian also preparing proposal and presentation for next TAC meeting, will be circulated
          soon.
        * Quality gate failing due to test coverage, this should not block graduation but requires
          some ongoing work to resolve ASAP.
    * New user UX
        * Rename demo_data.sql
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/891
            * Progress: https://github.com/AcademySoftwareFoundation/OpenCue/pull/910
            * No new updates.
        * Review Daniel's writeup for new action items
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/905
            * See takeaways from last meeting.
            * Brian to file bugs for each of these.
        * Fix cuebot:latest tag for sandbox setup
            * Published new release which will fix the problem for now.
            * Need to address in more detail soon.
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
                * See pros/cons from last meeting.
            * No progress implementing this yet.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/559
            * We are able to generate HTML, we just need to publish it somewhere
            * No other progress yet.
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for Cuebot
            * No progress.
        * Configuration guide for RQD
            * No progress.
    * Drop Oracle support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/840
        * PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/pull/895
        * Ready for review? Yes
    * GPU support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Starting PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * New PR: https://github.com/AcademySoftwareFoundation/OpenCue/pull/924
        * Ready for review
    * GUI to add new shows
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/892
        * Coding done, PR approved and ready to merge.
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Blog post on this topic?
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * No progress.
* Other current work updates
    * SPI several bug fixes, PRs coming soon, mostly GUI issues
        * A few FRs to be filed as issues and discussed soon
