# OpenCue TSC Meeting Notes 14 Apr 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [x] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Idris Miles

Agenda/Notes:

* Goals for 2021
    * ~~User survey~~
    * ASWF Graduation
        * Waiting on TAC to discuss. OpenCue deep-dive session scheduled for next week's meeting,
          was bumped from last week due to guest speakers.
    * New user UX
        * Rename demo_data.sql
            * Main code change done.
            * Docs updated.
            * Still todo: updating release pipeline to publish seed_data artifact.
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Reviewed design doc, no issues, let's proceed.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: two PRs out to clean up this process, then we can circulate the doc page on
              this: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for Cuebot
            * No progress.
        * Configuration guide for RQD
            * No progress.
            * PyPI design doc may cover this, design includes a review of all Python components'
              config systems and requires documentation of each of them before publishing to PyPI.
    * Drop Oracle support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/840
        * PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/pull/895
        * Ready to merge, needs rebase.
    * GPU support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Starting PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * In review, troubleshooting test failures.
    * ~~GUI to add new shows~~
        * ~~Done.~~
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Proposal: write blog post on this topic
        * Proposal accepted
        * No progress on this yet
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * No progress.
* Other current work updates?
    * SPI grpc fork bug
        * Seeing errors
          like `Warn: Fork support is only compatible with the epoll1 and poll polling strategies`
        * Fix: Set `os.environ["GRPC_POLL_STRATEGY"] = "epoll1"`
    * Lars working on some docker compose updates.
