# OpenCue TSC Meeting Notes 28 Apr 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [x] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Idris Miles

Agenda/Notes:

* Goals for 2021
    * ~~User survey~~
    * ASWF Graduation
        * Approved by TAC, approved by board. Done!
    * New user UX
        * Rename demo_data.sql
            * Main code change done.
            * Docs updated.
            * Still todo: updating release pipeline to publish seed_data artifact.
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
            * Brian: this happened again, sent update to Quickstarts to instruct user to build local
              Cuebot to work around this for now.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * ~~Drop Oracle support~~
    * GPU support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Starting PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * In review, troubleshooting test failures.
    * ~~GUI to add new shows~~
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Proposal: write blog post on this topic
        * Proposal accepted
        * No progress on this yet
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * No progress.
    * Improve booking logic
        * Wasting resources while hostreport and booking threadpools fight for resources, work needs
          to be rebooked
        * Let's dig up the work that Matt Chambers was working on a while ago
        * RQD needs to handle dynamic pool of cuebot hosts better
            * Let's file an issue and continue discussion there
* Other current work updates?
    * Brian
        * Xvfb no longer supports Python 2
            * Issue: https://github.com/AcademySoftwareFoundation/OpenCue/issues/964
            * PR to disable CueGUI Python 2
              tests: https://github.com/AcademySoftwareFoundation/OpenCue/pull/965
            * Any other way we can work around this? Or do we just have to accept this is going to
              happen gradually? Consensus: seems like the latter.
    * Remove localbook?
        * Still a useful feature, though it needs some fixing up.
        * Let's keep it around for now, improve if needed.

