# OpenCue TSC Meeting Notes 12 May 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [ ] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [ ] Idris Miles

Agenda/Notes:

* Goals for 2021
    * User survey
    * ASWF Graduation
    * New user UX
        * Rename demo_data.sql
            * Main code change done.
            * Docs updated.
            * Still todo: updating release pipeline to publish seed_data artifact.
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Brian has started work on config cleanup.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Brian: couldn't locate old docs, email out to Matt to see if he has any materials around.
        * Need an owner for this work. Diego has volunteered.
    * Drop Oracle support
        * Done.
    * GPU support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Starting PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/pull/924
        * Test failures resolved, needs review.
    * GUI to add new shows
        * Done.
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Proposal: write blog post on this topic
        * Proposal accepted
        * No progress on this yet
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * No progress.
* Other current work updates
    * SPI: shutdown of old cue3 system is complete.

