# OpenCue TSC Meeting Notes 9 June 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [ ] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [x] Idris Miles

Agenda/Notes:

* Goals for 2021
    * ~~User survey~~
    * ~~ASWF Graduation~~
    * New user UX
        * Rename demo_data.sql
            * Main code change done.
            * Docs updated.
            * Still todo: updating release pipeline to publish seed_data artifact.
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done and ready for review. Tested on macOS and Windows.
            * Next up will do config cleanup on other components.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
            * Mention tuning RQD connection cache size to number of expected hosts.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Brian: couldn't locate old docs, email out to Matt to see if he has any materials around.
        * Need an owner for this work. Diego has volunteered.
        * Haven't been able to reach Matt yet.
        * Let's try to locate Matt's fork from a while back.
        * Might speak to Weta for advice as well.
    * ~~Drop Oracle support~~
        * ~~Done.~~
    * GPU support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Starting PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/pull/924
        * PR approved, ready to merge. Could use some production testing.
    * ~~GUI to add new shows~~
        * ~~Done.~~
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Proposal: write blog post on this topic
        * Proposal accepted
        * No progress on this yet
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * Proposal:
            * Any issues in a Project have been identified as important and will be ignored.
            * Other issues:
                * If no update for 60 days, will get the label "stale" and a comment notifying of
                  auto-close.
                * If no further update for 7 days, will be closed.
                * Any issue update will reset the timer — remove the "stale" tag
        * Action https://github.com/marketplace/actions/close-stale-issues will be used.
        * May need another action to label issues if they are in a project, the above action doesn't
          appear to have options for ignoring issues based on project membership.
* Other current work updates
    * Bug where services would need restart
        * cuebot -> rqd module, calls not getting responses
        * needed to set deadline on all grpc calls, fixed issue
        * cuebot threadpools able to self-heal now
    * Cache of RQD connections
        * need to tune cache size to about number of expected RQD hosts
    * Set concurrency cache settings
        * set to number of threads expected
    * Issue about RQD hardcoded timezone
