# OpenCue TSC Meeting Notes 23 June 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [ ] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [ ] Idris Miles

Agenda/Notes:

* Completed 2021 goals
    * User survey
    * ASWF graduation
    * Drop Oracle support
    * GUI to add new shows
* Todo 2021 goals
    * New user UX
        * Rename demo_data.sql
            * Main code change done.
            * Docs updated.
            * Release pipeline updated. Done!
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done and ready for review. Tested on macOS and Windows.
            * Next up will do config cleanup on other components.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Diego has volunteered to own this.
        * Email reply from Matt, looped in others. Let's continue the discussion there.
    * GPU support
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/459
        * Starting PR in review: https://github.com/AcademySoftwareFoundation/OpenCue/pull/924
        * PR merged. This is done for now pending further testing, after which we should improve
          Windows support.
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Proposal: write blog post on this topic
        * Proposal accepted
        * No progress on this yet
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * Proposal:
            * Any issues in a Project have been identified as important and will be ignored.
            * Other issues:
                * If no update for 60 days, will get the label "stale" and a comment notifying of
                  auto-close.
                * If no further update for 7 days, will be closed.
                * Any issue update will rest the timer.
        * Action https://github.com/marketplace/actions/close-stale-issues will be used.
        * May need another action to label issues if they are in a project, the above action doesn't
          appear to have options for ignoring issues based on project membership.
* Other current work updates
    * Brian: split lint into its own CI job to avoid confusion, reduce runtime.
    * Diego
        * grpc connections PR
        * threadpools PR
    * Discussion to revive cloud work/plugin
        * GSoC Cloud Plugin
            * Is very simple, provides ability to manually adjust instance group size.
            * Need to finalize GSoC Azure support, Greg volunteered to test this.
            * Need to add AWS support.
        * Beyond that, we'd like to allow autoscaling based on the amount of work in the queue.
            * We need to be very careful with this as bugs could cause user money to be burned on
              cloud resources. We should provide the tools for users to build this themselves but
              stop short of building this fully into Cuebot.
* Open Source Days 2021
    * Need rough idea and presenters list.
    * Brian will give short project update at beginning of session.
    * Diego has volunteered to present some of SPI's work, Ben to assist.
    * Let's start an email thread to discuss further.
