# OpenCue TSC Meeting Notes 21 July 2021

Secretary: Brian Cipriano

TSC Attendees:

* [ ] Matt Chambers
* [x] Brian Cipriano
* [x] Greg Denton
* [x] Ben Dines
* [ ] Dave Fellows
* [x] Daniel Neilson
* [ ] Alex Schworer
* [ ] Erik Strauss
* [ ] Lars van der Bijl

Committer Attendees:

* [ ] Christian Smith
* [x] Diego Tavares
* [ ] Idris Miles

Agenda/Notes:

* Completed 2021 Goals
    * User survey
    * ASWF graduation
    * Drop Oracle support
    * Rename demo_data.sql
    * Expanded GPU support
* Todo 2021 Goals
    * Open Source Days 2021
        * OpenCue session Wednesday, August 4 at 10:55 AM - 11:35 AM PT
        * Slides
            * Google docs
              template: https://docs.google.com/presentation/d/12GJ_6xSm0fwBlZON3VVGhYr5gQKRgu82YIVOvLH3U74/edit?usp=sharing
            * Let's have a single master deck to avoid switching between presenters. Can start with
              separate decks and merge later. Last OSD we used "gain control" so each speaker could
              control their own slides.
        * Discuss SPI portion of the session.
            * Shotgun integration. Can we share?
            * Sanitized Grafana boards?
            * Diego/Ben will look into this.
        * Brian: to start email checkin thread and plan a rehearsal meeting.
    * New user UX
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done and ready for review. Tested on macOS and Windows.
            * Next up will do config cleanup on other components.
            * No update here yet.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Diego has volunteered to own this.
        * Email reply from Matt, looped in others.
        * Let's start github issue/PR for this
            * Create `rfc` tag
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Proposal: write blog post on this topic
        * Proposal accepted
        * No progress on this yet
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * Proposal:
            * Any issues in a Project have been identified as important and will be ignored.
            * Other issues:
                * If no update for 60 days, will get the label "stale" and a comment notifying of
                  auto-close.
                * If no further update for 7 days, will be closed.
                * Any issue update will rest the timer.
        * Action https://github.com/marketplace/actions/close-stale-issues will be used.
        * May need another action to label issues if they are in a project, the above action doesn't
          appear to have options for ignoring issues based on project membership.
        * No progress yet.
    * Expanded Cloud functionality
        * Finalize GSoC plugin
            * Test Azure support
            * Add AWS support
        * Design expanded functionality e.g. autoscaling for work in the queue.
        * Greg: started to test / clean up azure support. Looking good so far.
