# OpenCue TSC Meeting Notes 15 September 2021

Secretary: Brian Cipriano

Agenda/Notes:

* Completed 2021 Goals
    * User survey
    * ASWF graduation
    * Drop Oracle support
    * Rename demo_data.sql
    * Expanded GPU support
* Todo 2021 Goals
    * Open Source Days 2021
        * Any takeaways/followups?
    * New user UX
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done and ready for review. Tested on macOS and Windows.
            * Next up will do config cleanup on other components.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Diego has volunteered to own this.
        * Email reply from Matt, looped in others.
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1001
    * Expand DCC plugins
        * No progress.
    * Logging solution
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/880
        * PR approved and merged.
        * Proposal: write blog post on this topic
        * Proposal accepted
        * Tutorial is now published, presented at OSD 2021.
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * Proposal:
            * Any issues in a Project have been identified as important and will be ignored.
            * Other issues:
                * If no update for 60 days, will get the label "stale" and a comment notifying of
                  auto-close.
                * If no further update for 7 days, will be closed.
                * Any issue update will rest the timer.
        * Action https://github.com/marketplace/actions/close-stale-issues will be used.
        * May need another action to label issues if they are in a project, the above action doesn't
          appear to have options for ignoring issues based on project membership.
    * Expanded Cloud functionality
        * Finalize GSoC plugin
            * Test Azure support
            * Add AWS support
        * Design expanded functionality e.g. autoscaling for work in the queue.
        * Last update from Greg: started to test / clean up azure support. Looking good so far.
* Other ongoing work
    * Brian
        * Python 3.8, 3.9 support
        * VFX ref platform CY2021 how in CI pipeline
        * Ready for CY2022 now that Python 3.9 is supported
        * Published tutorial on Grafana integration
    * CueGUI memory leak
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1025
    * Scheduling fixes
        * Add thread pool properties  https://github.com/AcademySoftwareFoundation/OpenCue/pull/1008
        * Schedule dispatch frame https://github.com/AcademySoftwareFoundation/OpenCue/pull/1012
    * Determine idle cores
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1021
    * Delete CORE_POINTS_RESERVED_MAX logic?
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1026 
