# OpenCue TSC Meeting Notes 29 September 2021

Secretary: Brian Cipriano

Agenda/Notes:

* Completed 2021 Goals
    * User survey
    * ASWF graduation
    * Drop Oracle support
    * Rename demo_data.sql
    * Expanded GPU support
    * Open Source Days 2021
    * Logging/monitoring solution
* Ongoing work
    * CueGUI memory leak
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1025
        * Consistent issue
        * MonitorCue refresh tweak, reduce API calls
            * Collecting feedback on this now
        * Custom garbage collection
            * Haven't tested yet
    * Scheduling fixes
        * Add thread pool properties  https://github.com/AcademySoftwareFoundation/OpenCue/pull/1008
        * Schedule dispatch frame https://github.com/AcademySoftwareFoundation/OpenCue/pull/1012
        * SPI version https://github.com/AcademySoftwareFoundation/OpenCue/pull/1035
            * Tested >5 months
    * User permissions
        * default disable job options for jobs not owned by the current user
        * let's start designing permission system, will make a github post to start gathering
          requirements
* Todo 2021 Goals
    * New user UX
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done and ready for review. Tested on macOS and Windows.
            * Next up will do config cleanup on other components.
            * pyoutline, rqd up next
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Diego has volunteered to own this.
        * Email reply from Matt, looped in others.
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1001
    * Expand DCC plugins
        * No progress.
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * Proposal:
            * Any issues in a Project have been identified as important and will be ignored.
            * Other issues:
                * If no update for 60 days, will get the label "stale" and a comment notifying of
                  auto-close.
                * If no further update for 7 days, will be closed.
                * Any issue update will rest the timer.
        * Action https://github.com/marketplace/actions/close-stale-issues will be used.
        * May need another action to label issues if they are in a project, the above action doesn't
          appear to have options for ignoring issues based on project membership.
    * Expanded Cloud functionality
        * Finalize GSoC plugin
            * Test Azure support
            * Add AWS support
        * Design expanded functionality e.g. autoscaling for work in the queue.
        * Last update from Greg: started to test / clean up azure support. Looking good so far.
