# OpenCue TSC Meeting Notes 8 December 2021

Secretary: Brian Cipriano

Agenda/Notes:

* Completed 2021 Goals
    * User survey
    * ASWF graduation
    * Drop Oracle support
    * Rename demo_data.sql
    * Expanded GPU support
    * Open Source Days 2021
    * Logging/monitoring solution
* Ongoing work
    * CueGUI memory leak
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1025
        * SPI: still researching and testing their fix.
    * Scheduling fixes
        * Thread pool properties
            * Two versions:
                * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1008
                * SPI version https://github.com/AcademySoftwareFoundation/OpenCue/pull/1035
            * PRs need review.
            * Let's start with 1035, then merge 1008 to fix conflicts to see what in 1008 is still
              useful, if anything.
        * Schedule dispatch frame
            * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1012
            * Adds database fields to eliminate multiple cuebots handing out the same frames.
            * Might not want to merge while larger scheduler redesign is going on.
    * RQD change, adding child proc info into log, storing in database
        * For understanding memory usage of complex jobs
* Todo 2021 Goals
    * New user UX
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done, tested on macOS and Windows, merged.
            * pyoutline, cuesubmit config cleanup in review.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Diego has volunteered to own this.
        * Email reply from Matt, looped in others.
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1001
        * Other PRs with improvements — see ongoing work above.
        * Some feedback on discussion thread that needs review.
        * SPI experimenting with redis to handle RQD host reports, but may make a good candidate for
          the scheduler as well. PR with some initial changes likely around end of year.
    * Expand DCC plugins
        * No progress.
    * CSP Terraform docs
        * No progress yet.
    * Auto-close Github issues
        * Proposal:
            * Any issues in a Project have been identified as important and will be ignored.
            * Other issues:
                * If no update for 60 days, will get the label "stale" and a comment notifying of
                  auto-close.
                * If no further update for 7 days, will be closed.
                * Any issue update will rest the timer.
        * Action https://github.com/marketplace/actions/close-stale-issues will be used.
        * May need another action to label issues if they are in a project, the above action doesn't
          appear to have options for ignoring issues based on project membership.
    * Expanded Cloud functionality
        * Finalize GSoC plugin
            * Test Azure support
            * Add AWS support
        * Design expanded functionality e.g. autoscaling for work in the queue.
        * Last update from Greg: started to test / clean up azure support. Looking good so far.
    * Let's send PR to add Kazuki (splhack) as committer
    * Brian needs to catch up on importing meeting notes into the Github repo.
    * Next meeting Dec 22, should probably cancel and hold next meeting Jan 5.
