# OpenCue TSC Meeting Notes 5 January 2022

Secretary: Brian Cipriano

Agenda/Notes:

* Completed 2022 Goals
    * Cleared section for the new year. Nothing to be added here, yet.
* Ongoing work
    * CueGUI memory leak
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1025
        * SPI: still researching and testing their fix.
    * Scheduling fixes
        * Thread pool properties
            * Two versions:
                * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1008
                * SPI version https://github.com/AcademySoftwareFoundation/OpenCue/pull/1035
            * PRs need review.
            * Let's start with 1035, then merge 1008 to fix conflicts to see what in 1008 is still
              useful, if anything.
            * Review of 1035 is almost complete, code looking good with a few minor suggestions.
    * RQD change, adding child proc info into RQD logs as well as database for viewing in CueGUI
        * For understanding memory usage of complex jobs.
        * Still in development.
    * log4j update
        * PR needs another update.
        * Let's post an update to the user group to let everyone know to update.
* Goals from 2021
    * Subsections here should be moved to the 2022 section or removed.
    * New user UX
        * Keep for 2022
    * Docs refresh
        * Keep for 2022
    * Improve scheduler logic
        * Keep for 2022
    * Expand DCC plugins
        * No progress in 2021. Keep for 2022?
        * We should keep it, but lower priority. Important for wider user adoption.
        * High priority: Blender, Houdini
        * Worth writing to the user group to see what folks have already?
    * CSP Terraform docs
        * No progress yet.
        * Let's look at the Azure version of this.
        * Let's roll this into the more general Cloud goal.
    * Auto-close Github issues
        * No need to keep this as its own goal — it's just a single piece of work. "Improving
          development workflow" would be a more suitable goal but doesn't appear to be necessary at
          the moment.
    * Expanded Cloud functionality
        * Keep for 2022.
* Todo 2022 Goals
    * New user UX
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done, tested on macOS and Windows, merged.
            * pyoutline, cuesubmit config cleanup review done, ready to merge.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guide for client-side python
            * In progress, will be done as part of PyPI work.
        * Configuration guide for Cuebot
            * In progress, will be done as part of PyPI work.
        * Configuration guide for RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Diego has volunteered to own this.
        * Email reply from Matt, looped in others.
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1001
        * Other PRs with improvements — see ongoing work above.
        * Prototype in progress.
    * Expanded Cloud functionality
        * Finalize GSoC plugin
            * Test Azure support
            * Add AWS support
        * Design expanded functionality e.g. autoscaling for work in the queue.
        * Last update from Greg: started to test / clean up azure support. Looking good so far.
        * Terraform scripts?
            * Let's look at the Azure version of this
        * Generic k8s setup and cuebot pool size suggestions
        * Let's write up a github issue to discuss requirements
    * User permissions
        * Need a github issue for discussion.
    * Expand DCC plugins
        * No progress.
        * High priority: Blender, Houdini
        * Important for wider user adoption
        * Worth writing to the user group to see what folks have already?

