# OpenCue TSC Meeting Notes 19 January 2022

Secretary: Brian Cipriano

Agenda/Notes:

* Completed 2022 Goals
    * Nothing yet.
* Ongoing work
    * CueGUI memory leak
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1025
        * SPI: still researching and testing their fix.
    * Scheduling fixes
        * Thread pool properties
            * Two versions:
                * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1008
                * SPI version https://github.com/AcademySoftwareFoundation/OpenCue/pull/1035
            * PRs need review.
            * Let's start with 1035, then merge 1008 to fix conflicts to see what in 1008 is still
              useful, if anything.
        * Schedule dispatch frame
            * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1012
            * Adds database fields to eliminate multiple cuebots handing out the same frames.
            * Might not want to merge while larger scheduler redesign is going on.
    * RQD change, adding child proc info into log, storing in database
        * For understanding memory usage of complex jobs
        * Entering testing soon.
    * Replaced embedded Postgres server.
    * log4j update
        * Was blocked on embedded Postgres server, now good to resume.
        * Should post announcement to opencue-users before merging.
* 2022 Goals
    * New user UX
        * Publish PyPI packages
            * Design
              doc: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/
            * Proposal for config file
              standardization: https://docs.google.com/document/d/1pWjMNGzGmBvuHoBzXewQEzdwTKtrY6VOtaPi7ALwWg0/edit#heading=h.v85uo9klwqft
            * Config cleanup for pycue done, tested on macOS and Windows, merged.
            * pyoutline, cuesubmit config cleanup review done, ready to merge.
            * CueGUI/RQD still to do.
        * Fix cuebot:latest tag for sandbox setup
            * Proposal: publish Docker images for every new patch version (i.e. every new commit to
              master)
            * Proposal accepted.
            * No progress implementing this yet.
            * Related: for PyPI design we may want to also publish packages for every new patch
              version.
    * Docs refresh
        * User guide refresh
            * Split into "install from latest release" and "install from master"
            * Needed to assist transition to publish Docker images on all commits
            * No progress.
        * API reference
            * We have the ability to generate HTML from any commit, but we need a new CI pipeline to
              build and publish this on opencue.io for new releases.
            * Proposal: for now, highlight existing docs for building reference locally
            * Proposal accepted.
            * Brian: cleaned up local build process, sent email with doc
              link: https://www.opencue.io/contributing/opencue/build-docs/
        * pyoutline examples
            * https://github.com/AcademySoftwareFoundation/OpenCue/issues/177
            * No progress yet.
        * User guide for CueGUI
            * No progress.
        * Configuration guides for Python/Cuebot/RQD
            * In progress, will be done as part of PyPI work.
    * Improve scheduler logic
        * Diego has volunteered to own this.
        * Email reply from Matt, looped in others.
        * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1001
        * Other PRs with improvements — see ongoing work above.
        * Prototype in progress.
    * Expanded Cloud functionality
        * Finalize GSoC plugin
            * Test Azure support
            * Add AWS support
        * Design expanded functionality e.g. autoscaling for work in the queue.
        * Last update from Greg: started to test / clean up azure support. Looking good so far.
        * Terraform scripts?
            * Let's look at the Azure version of this
        * Generic k8s setup and cuebot pool size suggestions
        * Let's write up a github issue to discuss requirements
    * User permissions
        * Need a github issue for discussion.
        * Added initial
          thoughts: https://github.com/AcademySoftwareFoundation/OpenCue/issues/218#issuecomment-1016904933
        * Need more research into integration with Active Directory.
        * Will try to find an example.
    * Expand DCC plugins
        * No progress.
        * High priority: Blender, Houdini
        * Important for wider user adoption
        * Worth writing to the user group to see what folks have already?
