# OpenCue TSC Meeting Notes 14 Sep 2022

Secretary: Brian Cipriano

Agenda/Notes:

* Upgrade Cuebot dependencies
    * M1 has issues with grpc and protoc.
    * PR to upgrade, needs review: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1185
    * Will review soon.
* PySide qApp problem
    * This is causing unit test / CI failures.
    * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1192
    * Fix in progress https://github.com/AcademySoftwareFoundation/OpenCue/pull/1193
* PySide6
    * PySide2 is deprecated, wheels are no longer published for newer architectures like M1.
    * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1194
    * Fix in progress https://github.com/AcademySoftwareFoundation/OpenCue/pull/1195
    * Will need some help testing.
    * VFX reference platform still uses Qt 5 and will until at least 2024. This may create an issue if we drop support
      for PySide2 which depends on Qt 5. PySide6 uses Qt 6.
    * Can the pyside2/6 versions coexist?
    * We could also create a wrapper / compatibility layer. This will likely be useful in the future as PySide will
      change again.
    * OpenTimelineIO has dealt with the same issue.
        * See Github issues:
            * https://github.com/AcademySoftwareFoundation/OpenTimelineIO/issues/1215
            * https://github.com/AcademySoftwareFoundation/OpenTimelineIO/issues/1220
            * https://github.com/AcademySoftwareFoundation/OpenTimelineIO/issues/1261
        * Appears they've fixed it, fix looks very similar to our in-progress fix.
    * Has the VFX reference platform dealt with architectures at all? arm is getting more popular, and the switch to arm
      created/exposed these issues.
* Redis
    * Considering adding Redis into the mix to help with Cuebot/database load and Cuebot/RQD communication issues.
    * Draft PR: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1187
    * Brian has left some initial comments on that PR.
    * This will break the connection between RQD and a single Cuebot. Currently RQD must communicate with a single
      Cuebot via gRPC and must be restarted to switch to a different one.
    * Using Redis is highly experimental, not production tested.
    * The PR must be updated to be completely optional, coexist with the existing code. We need to collect performance
      data and decide whether we want to proceed with this project.
    * Redis should probably be optional in perpetuity. Default install should not require it, but it can be used to
      increase performance for larger deployments.
* Docker image issues
    * Can't build on M1 mac.
    * https://github.com/AcademySoftwareFoundation/OpenCue/issues/1196
    * Also slowing down development.
* Need to do a release
    * Blocked on qApp issue as this causes CI failures, we can't use our release pipeline.
    * Any update on integration test script?
        * This would help speed up the release by automating the QA procedure.
        * There was a basic script that had some issues, not much progress.
        * Work may resume soon.
        * If the in-progress script is sharable, that would save some time.
