# OpenCue TSC Meeting Notes 7 Dec 2022

Secretary: Brian Cipriano

Agenda/Notes:

* Postgres upgrade/fixes
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1199
    * PR updated with some new research.
    * DBA contact has reproduced problem but doesn't support Docker deployments. Confirmed this is
      embedded-postgres issue only.
    * Filed a ticket with the upstream project. Got a few suggestions.
    * Will be hard to verify performance issues until it's in production and hard to roll back.
    * Conclusion: Mac+Docker for production deployments is uncommon, this is mostly for developers.
      Let's work around this for now, and look into the suggestions from the upstream ticket.
      Hopefully we can track down the problem and avoid having to merge this PR.
* Log4j update
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1080
    * Older PR, requested by user who tested and verified.
    * Confirmed, we are good to merge this now.
* PySide6
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1195
    * SPI: difficult to production test, PySide6 does not fit nicely into packaging system.
    * Conclusion: we'll add the compatibility layer now, test as best we can, and merge as an
      experimental feature. Issues may still be present but we can fix these as we go, and it will
      be a better situation than we currently have, where CueGUI is not available at all for users
      who can't access PySide2.
* Postgres query issues
    * New issue with very slow queries on the database side.
    * Upgrade happened 3-4 months ago but symptoms didn't present until heavy production load.
    * Debugged issue, found culprit is the `show` table, particularly a few stats columns. These
      columns are updated multiple times per second under heavy load, and many other critical
      queries join to the show table. This slows down the whole system.
    * PR coming soon to separate these columns out into their own table/view.
* Removing dead code
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1178/files
    * Can we ignore the version bump here?
    * Diego will look into it offline.
* akim-ruslanov PRs need update
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1168
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1167
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1165
    * Diego will look into these offline.
* Blender update
    * Blender has made progress on improved Python bindings. Should make it easier to avoid
      compatibility issues in the future.
    * They will support a build using VFX reference platform versions.
    * March release for the initial implementation, this will be improved over the next few cycles.
    * JT looking to hand this off soon.
    * Nuwan is interested in working on the plugin as well. He should proceed, and we'll sync his
      and JT's work if needed, or maybe JT will just use it as the base for his own work.
