# OpenCue TSC Meeting Notes 18 Jan 2023

Secretary: Brian Cipriano

Agenda/Notes:

* New release!
    * CI / dev environment issues mostly resolved now, release unblocked.
    * Getting back to our monthly release cycle.
* Postgres upgrade
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1199
    * Upstream: https://github.com/zonkyio/embedded-postgres/issues/99
    * Cuebot Docker image currently does not build on M1 Mac due to the old embedded-postgres
      library.
    * Newer embedded-postgres binaries produce weird results that fail tests. M1+Docker only.
    * [Breakthrough!](https://github.com/zonkyio/embedded-postgres/issues/99#issuecomment-1378159242)
      The issue was coming from an old Ubuntu version used for the embedded-postgres build.
    * Brian sent https://github.com/zonkyio/embedded-postgres-binaries/pull/64 upstream with a
      proposed fix, which upgrades their build process to use a newer Ubuntu version.
    * Waiting for review, then waiting for new binaries to be published. But we are able to build
      embedded-postgres locally now, and modify Cuebot to use those binaries rather than pull from
      Maven.
* PySide6
    * New proposed PR: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1238
    * Use QtPy library as the compatibility layer, works in PySide2 and 6.
    * Would like to get more testing in a PySide2 environment.
    * This breaks the dependency chain slightly, as the code would now depend on QtPy but not
      PySide. However we can specify whatever other dependencies we want in
      setup.py/requirements.txt.
    * Proposal: master branch will continue to specify PySide 2 as a dependency. Packaging/release
      pipelines will also create a PySide 6 version.
    * Idea: setup.py is a Python script, so it could use custom logic to specify the PySide6
      dependency if on an M1 mac. setup.py is executed not just at build/packaging time but at
      install time as well.
    * Will test more using Pyside2 before merging.
* Migrate stats columns
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1228
    * Test failures to be resolved.
    * Diego will take a look.
    * Maybe related to some intermittent CI failures we've seen recently, those should be mostly
      resolved now.
* CueGUI new config file, cuegui.yaml
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1242
    * Moves most constants to be editable via an external YAML file. No longer any need to edit
      code, and exposes many useful settings to users.
    * YAML file can be specified via env var or standard config directories. Sysadmins can
      distribute their own cuegui.yaml to all local users.
    * Need docs update that includes config guides for all components, including this update.
    * This should be the last client-side piece needing a config update. We can now move on to the
      main PyPI work.
* Integration tests
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1245
    * Initial version out for review. Stands up Docker compose environment, tests database, RQD
      registration, API, cueadmin.
    * Next will need to add launching a job and verifying.
* Batch of GUI bug fixes coming soon.
* RQD systemd changes
    * Previously using init.d, now migrating to systemd.
    * OOM manager was sometimes killing the parent RQD process rather than the job itself. This
      would take the RQD host offline and it would not report on failure cause. Cuebot would then
      distribute the culprit job to other hosts, and the problem could proliferate.
    * systemd has a feature to help reduce likelihood of this happening.
    * Once that's done, it would be good to publish rpm packages as part of packaging/release.
      Cuebot does this already, this would standardize among the server-side components.
    * RQD pip package may need to include initd/systemd scripts, or docs to help register RQD with
      the system, i.e. start on host boot.
    * Sysadmins also seem to prefer rpms to pip install.
