# OpenCue TSC Meeting Notes 1 Feb 2023

Secretary: Brian Cipriano

Agenda/Notes:

* Move outline.cfg into outline module
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1252
    * What to do with bin/ and wrappers/ code? E.g. pycuerun. Packaged with rqd?
    * What do these tools do?
        * pycuerun is a tool for sending jobs to Cuebot. This should be packaged with pyoutline,
          ideally as a console script / entrypoint.
        * wrappers are used on the RQD side. These should probably be packaged with RQD somehow.
    * Conclusion: we'll need different approaches for packaging these, needs some more research.
* Integration tests
    * New PR to run a job and verify it
      finishes: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1253
    * Uses a pyoutline script to launch a job and a pycue script to wait for it to finish.
    * Discovered outline.cfg issue above!
    * Almost ready for review, waiting on pyoutline fix to be merged.
* Config guide
    * CueGUI YAML config merged.
    * PR with new config guide: https://github.com/AcademySoftwareFoundation/opencue.io/pull/274
    * Preview:
      https://deploy-preview-274--elated-haibt-1b47ff.netlify.app/docs/other-guides/configuring-opencue/
* PyPI
    * Brian now doing some tests, cleaning up the pycue setup.py.
    * Need to clean up dependency list in setup.py. This duplicates some work from requirements.txt,
      but serves a different purpose, and the version restrictions should be a little looser. Have
      to go one at a time to make a decision.
* RQD systemd changes
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1251
    * To be reviewed soon.
    * Needs to be built into Docker image, CI pipelines.
* PySide6
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1238
    * Review complete, merging soon.
* Migrate stats columns
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1228
    * Good way to roll out destructive changes?
    * Any input from PG admins?
    * Let's check with Diego next time, but current change looks fine.
