# OpenCue TSC Meeting Notes 1 Mar 2023

Secretary: Brian Cipriano

Agenda/Notes:

* Managing database migrations
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1228
    * Sequential numbering in the repo creates problems for users with forks. Migrations in forks
      need to be renumbered after the fact to not conflict, and reapplying these changes to a
      production database is tricky.
    * Suggestion: leave gaps in between main repo migrations, e.g. v30, v40, etc. Forks can fill
      this in.
        * This could also create problems if v40 conflicts with v32 for example, and cause a need to
          renumber fork migrations still.
    * Diego and Brian to do some further research on this.
    * Another suggestion: fork migrations could use version numbers starting at a very high number
      e.g. 1000. Fork migrations would always be applied on top of the full main repo schema.
        * Any conflicts would need to be resolved by the user.
        * Any new main repo migrations would need to be applied manually. Flyway won't apply v40 if
          it thinks the database is at v1000.
        * This might be the least painful option.
* Customizing frame display colors
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1246
    * Author has given more context in the PR.
    * It feels wrong to store color information in the database, it's purely a visual change.
    * Brian to take another look.
    * Maybe we can change PR to use something like "reason code" in the database rather than color
      information directly, and update cuegui.yaml to convert reason code -> color.
* Preparing for next release
    * PySide6 cuegui changes
        * Merged, done.
    * CueSubmit PySide6
        * Not started yet. Need to include this in the same release.
    * Update test script to run example job
        * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1253
        * Ready for review.
        * Includes pycue and pyoutline example scripts which should be generally useful to users
          beyond tests.
    * Config guide doc
        * https://github.com/AcademySoftwareFoundation/opencue.io/pull/274
        * Ready for review, to be merged/published once release is done.
    * show_stats table PR
        * Is there a better way to test potentially destructive changes?
        * There's no easy way in pure SQL to verify changes before dropping cols/tables.
        * We should expand our doc on applying database migrations to cover a db backup/restore.
        * The current change seems fine, good to merge.
