# OpenCue TSC Meeting Notes 19 July 2023

Secretary: Brian Cipriano

Agenda/Notes:

* CI pipeline updates
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1305
    * Added new VFX ref platform years, retired old ones.
        * Added CY2023.
        * Keet CY2022.
        * Drop CY2021, CY2020.
    * Keet CY2019, but repurposed it as an explicitly-named Python 2 test.
    * Disabled GUI tests on older platforms due to flakes, we'll keep running them on CY2023.
    * A few other minor dependency upgrades and fixes.
* New release v0.22.14.
    * We needed to get the latest database query fixes into an official release, newer versions of
      Postgres that trigger those issues are more common now.
    * Release includes:
        * PySide6 in CueGUI, still needed for CueSubmit.
        * Config / env var cleanup. Published a new doc page covering
          this: https://www.opencue.io/docs/other-guides/configuring-opencue/
* Enable GPU booking
    * https://lists.aswf.io/g/opencue-user/topic/local_deployment_issues/100008713
    * Any ideas for this user?
    * You need to have the nvidia-smi tool on RQD to detect GPU hardware.
    * Once we figure this out, we should write up a doc page on how to enable GPU.
    * If the user is on Docker, they may need to use the nvidia base image.
* Minimum bookable free mcp
    * https://github.com/AcademySoftwareFoundation/OpenCue/pull/1306
    * Enforce minimum mcp (scratch space) for all hosts, take host offline if low on space.
    * Brian to review.
    * Ideally we should avoid spreading the "mcp" terminology, but this is a much larger project,
      let's just avoid it where we can.
* Siggraph
    * Nothing official planned, some folks attending virtually.
* SPI updates
    * Finally up-to-date with “current” version of github.
    * Performance issues on DispatchQuery.
    * Using database migrations starting at v1000, this works because migrations are all applied
      manually anyway, not via e.g. Flyway.
    * When we create migrations, if you rename a field, you need to copy the value as well.
* Blender plugin update
    * Added the ability to refresh/update opencue code from the addon.
    * Brian to follow up on email thread.
