# OpenCue TSC Meeting Notes 8 Nov 2023

Secretary: Brian Cipriano

Agenda/Notes:

* OOM protection logic: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1317
    * PR is reviewed and merged.
    * Has been running in production for a while now, working well in 90% of cases.
    * Other 10% are hitting a race condition with RQD. RQD sends fresh host report after OOM
      decision has been made but not actuated yet, clearing the OOM state in the database. Frame is
      rescheduled with same memory requirements instead of increased.
    * Followup change to RQD coming soon, kill frame with correct OOM code so database state isn't
      required.
* RQD env var expansion: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1323
    * Expanding any env vars in the command itself in RQD, before command is executed on host.
    * This works already on Linux, Windows doesn't expand vars in command as command written to a
      temp file batch script.
    * Env vars should be expanded as late as possible, host/RQD env might differ slightly from frame
      env.
    * Let's move the change into the Windows section.
* RQD copy env vars from host: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1324
    * Needed to preserve the host PYTHONPATH in the frame env.
    * Reviewed, change is too broad, left comments on the PR.
* DB indexes: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1304
    * Adding new database indexes to resolve some performance issues.
    * Has some commented out pieces, why?
    * Diego to check and update PR.
* CUDA RQD image: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1327
    * Let's try to copy RQD package from base image to reduce duplication.
    * Should revisit the RQD base image at some point to see if we can upgrade past Python 3.6.
* Blender plugin: https://github.com/AcademySoftwareFoundation/OpenCue/pull/1309
    * Plugin working e2e on Nuwan's machine, getting renders back.
    * Starting review of draft PR.
    * Would like to see a doc on how to install/use the plugin, will help to understand the code.
* CueGUI PySide compatibility change is rolling out to production soon, working in initial tests but
  will get more feedback as usage expands.
